Subject: bug#57531: 28.1; Character encoding missing for "eo"

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Sep 2022 16:04:09 +0300

> Date: Mon, 05 Sep 2022 12:38:24 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked]
> 
> >> eo		eo_XX.ISO8859-3
> >> eo_XX	eo_XX.ISO8859-3
> >> eo:		eo_XX.ISO8859-3
> >> eo_XX:	eo_XX.ISO8859-3
> >
> > If this is what locale.alias says, doesn't it mean that the system wants 
> > us to use Latin-3 by default for this locale?  IOW, why does nl_langinfo 
> > return a value that is different from what this file says? Is that 
> > because locale.alias comes from X11, not from glibc?
> 
> I guess so, yes, given that glibc only knows of one encoding for the "eo" 
> locale, namely "UTF-8".

There's also /usr/share/locale/locale.alias, but on GNU/Linux system to
which I have access it doesn't have any information for the eo or
Esperanto locales.

> > In any case, unless we change the code in mule-cmds.el, as long as 
> > locale.alias says the above, what we say in language-info-alist about 
> > this locale doesn't matter.  At least that's my reading of the code in 
> > mule-cmds.el.
> 
> You are correct.  I should have tried the suggested patch before.  It has 
> no effect indeed, at least here.

You mean, the patch I proposed in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57531#64?  For that to
work, we need to make 'locale-info' pseudo-encoding override what
locale.alias file says, I presume.

> I think the conclusion is that the OP should either set his locale to 
> "eo.UTF-8", or add (prefer-coding-system 'utf-8) in his init file.

That was suggested, yes.